# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(FileHandle.pm) perl(IO/Select.pm) perl(IO/Socket.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name UPS-Nut
%define upstream_version 0.04

%{?perl_default_filter}

Name:    perl-%{upstream_name}
Version: %{upstream_version}
Release: alt3_4
License: GPL or Artistic
Group:   Monitoring
Summary: A  perl module to talk to a UPS via NUT upsd
URL:     http://search.cpan.org/dist/%{upstream_name}
Source:  %{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires: perl-devel
BuildArch: noarch
Source44: import.info


%description
This is an object-oriented interface between Perl and upsd (Network UPS
Tools package).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make 

%install
%makeinstall_std

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/UPS/Nut.pm


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt3_4
- update by mgaimport

* Thu Mar 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt3_3
- new release

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_10
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_9
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt2_8
- rebuild to get rid of unmets

* Thu Nov 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_8
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_7
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_6
- converted for ALT Linux by srpmconvert tools

